Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsFileFormatException Class Reference

Exceptions thrown by File Readers. More...

## Public Member Functions
| NetricsFileFormatException (String msg)
| Create an exception not associated with a particular file position.
| NetricsFileFormatException (String msg, int rec, Exception innerException)
| Create an exception not associated with a particular file position.
| NetricsFileFormatException (String msg, int rec)
| Create an exception associated with a record, but not a file position.
| NetricsFileFormatException (String msg, int line, int position)
| Create an exception associated with a file position.
| NetricsFileFormatException (String msg, int line, int position, int rec)
| Create an exception associated with a file position and a record.
int | getLine ()
| Return the line of the file the exception occurred on, zero if unknown.
int | getCharPos ()
| Return the character position within a (logical) line of a file the exception occurred on, zero if unknown.
int | getRecNum ()
| Return the record sequence number (1 based) the exception was on, zero if unknown.
override String | ToString ()
| Return formatted string version of exception info.

## Detailed Description

Exceptions thrown by File Readers.

This exceptions are thrown by classes that read records from files or streams. Exceptions may be in response to invalid file format specifications or invalid formats within the file data.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.